---
myst:
  html_meta:
    keywords: LaTeX, programmation, erreurs, messages d'erreur de LaTeX,
              délimiteurs mathématiques, accolades, parenthèses,
              mode mathématique
---

# Que signifie l'erreur : "Extra `\right`" ?

- **Message** : `Extra \right`
- **Origine** : TeX

Cette erreur indique que TeX a trouvé une commande `\right` 
sans la commande `\left` correspondante dans une formule. Il faut se souvenir
que les paires `\left...\right` doivent appartenir à la même "sous-formule".
Elles ne peuvent pas, par exemple, être séparées par un `&` dans un alignement
ou apparaître dans des niveaux de groupes différents.

La question "[](/4_domaines_specialises/mathematiques/structures/delimiteurs/ne_pas_equilibrer_les_delimiteurs)"
présente des méthodes pour contourner cette règle.


:::{sources}
- [FAQ erreurs - Lettre E](https://latex.developpez.com/faq/erreurs?page=E), 
  sur le site [Developpez.com](https://latex.developpez.com)
- *[LaTeX Companion](https://www.latex-project.org/help/books/#french)*, 
  2e édition, Frank Mittelbach, Michel Goossens, Johannes Braams, 
  David Carlisle, Chris Rowley (Pearson, 2006)
:::